Git не работает после обновления MacOS (xcrun: ошибка: неверный путь активного разработчика (/Library/Developer/CommandLineTools)

Прошлой ночью (ноябрь 2018 года) я обновился до MacOS Mojave (вероятно, это будет работать и для Каталины)

Этим утром я перешел к своей базе рабочего кода в командной строке на моем MacBook Pro,

набрал "git status" в репозитории и получил ошибку:

xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun
+846
источник поделиться
17 ответов

Проблема в том, что инструменты командной строки Xcode должны быть обновлены.

Вернитесь к своему терминалу и нажмите:

xcode-select --install

Затем вы получите:

xcode-select: note: install requested for command line developer tools

И будет предложено в окне обновить инструменты командной строки Xcode.

После завершения обновления откройте новое окно терминала и ваши инструменты разработки должны быть возвращены.

Дополнение. При любом крупном или полуосновном обновлении вам нужно будет обновить инструменты командной строки, чтобы они снова функционировали должным образом. Проверьте Xcode с любым обновлением. Это выходит за рамки Мохаве...

После этого перезапустите свой терминал

+1540
источник

Я получил некоторые ошибки, которые программное обеспечение было недоступно с сервера обновлений при попытке

xcode-select --install

Для меня исправлено https://developer.apple.com/download/more/ и загрузка Command Line Tools (macOS 10.14) for Xcode 10 а затем установка вручную.

После этого ошибки должны исчезнуть, когда вы откроете новый терминал.

+99
источник

Для меня xcode-select --reset был решением на Mojave.

+57
источник

В дополнение к ответу пылесоса мне нужно было установить путь к папке Xcode с помощью этой команды:

sudo xcode-select -switch /Library/Developer/CommandLineTools
+46
источник

Для меня сработало следующее:

sudo xcode-select --reset

Тогда как в @High6 ответ:

sudo xcodebuild -license

Это покажет лицензию, которую я предполагаю, является некоторой лицензией XCode. Прокрутите вниз, используя space (или мышь), затем нажмите " agree.

Это то, что у меня работало на MacOS Mojave v 10.14.

+31
источник

Я выяснил часть Инструментов командной строки XCode из сообщения об ошибке, но после запуска XCode и получения приглашения установить дополнительные инструменты он действительно требовал их установки, но все же я получил ту же ошибку после открытия нового терминала.

Поэтому я сделал xcode-select --install вручную, и после этого он работал для меня.

+28
источник

Я использовал xcode-select --install, указанный в принятом ответе в предыдущих основных выпусках.

Я только что обновился до OS X 10.15 Catalina и снова запустил инструмент обновления программного обеспечения из настроек после завершения обновления ОС. Там было доступно обновление утилит Xcode, которое также решало проблему с помощью git, который только что вывел xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools)

+12
источник

в моем случае это не было проверено в xcode

Вы можете сделать это следующим образом: xcode → Preferences и нажмите Locations, затем выберите в качестве следующего изображения

enter image description here

+11
источник

Открытый терминал:

установите инструменты разработчика XCode и устраните проблему.

$ xcode-select --install

Сбросьте путь к Xcode, если у вас есть несколько версий:

$ xcode-select --switch /Applications/Xcode.app
$ xcode-select --switch /Library/Developer/CommandLineTools
+11
источник

Для меня у меня не было установлен xcode (на Mojave OS). Я пошел в App Store на своем Mac и загрузил его, затем вернулся к терминалу и набрал git и нажал enter, а затем он сработал.

+4
источник

Это работает для меня

sudo xcode-select --reset 
sudo xcodebuild -license

X-код должен быть установлен.

+4
источник

если у вас нет xcode или настройка вручную без xcode.

  1. sudo rm -rf/Library/Разработчик /CommandLineTools
  2. https://developer.apple.com/download/more/ и загрузите средства командной строки (macOS 10.14) для Xcode 10, а затем установите его вручную.
  3. Инструменты командной строки установки

Возьмите это легко

еще

  1. xcode-select --install. достаточно этого.
+2
источник

Я обнаружил, что моя версия XCode слишком устарела, и установка инструментов командной строки не помогла. Вот что я сделал:

  • Я полностью удалил устаревший XCode
  • Я переустановил самый последний XCode из магазина приложений
  • Это все. Git был восстановлен.

Надеюсь, это поможет кому-то еще...

+2
источник

Для меня это произошло после обновления Mac OS до Mojave и git не работал в Intellij

Решение:- Зайдите в Настройки, затем Файл | Настройки | Контроль версий | Git и редактируйте исполняемое поле Path to Git, которое является /usr/local/bin/git

+2
источник

Для тех, кто использует Catalina и Xcode-beta:

sudo xcode-select -s /Applications/Xcode-beta.app/Contents/Developer
+1
источник

Попробуй это:

sudo xcode-select --reset 
sudo xcodebuild -license

или это:

xcode-select --install
0
источник

@Селим Реза Спасибо.

$ xcode-select --switch/Applications/Xcode.app

это сработало для меня.

Я не хотел менять свою версию XCode. Так что установка пути была волшебной пулей.

0
источник

Посмотрите другие вопросы по меткам или Задайте вопрос